Skip to main content

List of Available In-App Product Currencies & Countries

This endpoint returns the list of all currency codes and country codes supported by the platform. These currency and country codes can be used when defining prices for in-app products.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/consumables/availableCurrencies

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

This endpoint can only be accessed by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g., com.example.test).

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns a JSON array containing all supported currency codes.

Example Response

[
{
"countries": ["AE"],
"currency": "AED",
"symbol": "AED"
},
{ "countries": ["AU", "CC", "CX", "HM", "KI", "NF", "NR", "TV"], "currency": "AUD", "symbol": "A$" },
{ "countries": ["BG"], "currency": "BGN", "symbol": "BGN" },
{ "countries": ["BR"], "currency": "BRL", "symbol": "R$" },
{ "countries": ["CA"], "currency": "CAD", "symbol": "CA$" },
{ "countries": ["CH", "LI"], "currency": "CHF", "symbol": "CHF" },
{ "countries": ["CL"], "currency": "CLP", "symbol": "CLP" },
{ "countries": ["CN"], "currency": "CNY", "symbol": "CN¥" },
{ "countries": ["CO"], "currency": "COP", "symbol": "COP" },
{ "countries": ["CZ"], "currency": "CZK", "symbol": "CZK" },
{ "countries": ["DK", "FO", "GL"], "currency": "DKK", "symbol": "DKK" },
{ "countries": ["EG"], "currency": "EGP", "symbol": "EGP" },
{
"countries": [
"AD",
"AT",
"AX",
"BE",
"BL",
"CY",
"DE",
"EE",
"ES",
"FI",
"FR",
"GF",
"GP",
"GR",
"IE",
"IT",
"LU",
"LV",
"MC",
"ME",
"MF",
"MQ",
"MT",
"NL",
"PM",
"PT",
"RE",
"SI",
"SK",
"SM",
"TF",
"VA",
"XK",
"YT"
],
"currency": "EUR",
"symbol": "€"
},
{ "countries": ["GB", "GG", "GS", "IM", "JE"], "currency": "GBP", "symbol": "£" },
{ "countries": ["GE"], "currency": "GEL", "symbol": "GEL" },
{ "countries": ["HK"], "currency": "HKD", "symbol": "HK$" },
{ "countries": ["HU"], "currency": "HUF", "symbol": "HUF" },
{ "countries": ["ID"], "currency": "IDR", "symbol": "IDR" },
{ "countries": ["IL", "PS"], "currency": "ILS", "symbol": "₪" },
{ "countries": ["IN"], "currency": "INR", "symbol": "₹" },
{ "countries": ["JP"], "currency": "JPY", "symbol": "¥" },
{ "countries": ["KR"], "currency": "KRW", "symbol": "₩" },
{ "countries": ["KZ"], "currency": "KZT", "symbol": "KZT" },
{ "countries": ["MX"], "currency": "MXN", "symbol": "MX$" },
{ "countries": ["MY"], "currency": "MYR", "symbol": "MYR" },
{ "countries": ["NG"], "currency": "NGN", "symbol": "NGN" },
{ "countries": ["BV", "NO", "SJ"], "currency": "NOK", "symbol": "NOK" },
{ "countries": ["CK", "NU", "NZ", "PN", "TK"], "currency": "NZD", "symbol": "NZ$" },
{ "countries": ["PE"], "currency": "PEN", "symbol": "PEN" },
{ "countries": ["PH"], "currency": "PHP", "symbol": "₱" },
{ "countries": ["PK"], "currency": "PKR", "symbol": "PKR" },
{ "countries": ["PL"], "currency": "PLN", "symbol": "PLN" },
{ "countries": ["QA"], "currency": "QAR", "symbol": "QAR" },
{ "countries": ["RO"], "currency": "RON", "symbol": "RON" },
{ "countries": ["RU"], "currency": "RUB", "symbol": "RUB" },
{ "countries": ["SA"], "currency": "SAR", "symbol": "SAR" },
{ "countries": ["SE"], "currency": "SEK", "symbol": "SEK" },
{ "countries": ["SG"], "currency": "SGD", "symbol": "SGD" },
{ "countries": ["TH"], "currency": "THB", "symbol": "THB" },
{ "countries": ["TR"], "currency": "TRY", "symbol": "TRY" },
{ "countries": ["TW"], "currency": "TWD", "symbol": "NT$" },
{ "countries": ["TZ"], "currency": "TZS", "symbol": "TZS" },
{ "countries": ["UA"], "currency": "UAH", "symbol": "UAH" },
{ "countries": ["AS", "BQ", "EC", "FM", "GU", "IO", "IR", "MH", "MP", "PR", "PW", "SV", "TC", "TL", "UM", "US", "VG", "VI"], "currency": "USD", "symbol": "$" },
{ "countries": ["VN"], "currency": "VND", "symbol": "₫" },
{ "countries": ["ZA"], "currency": "ZAR", "symbol": "ZAR" }
]